<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Slider extends CI_Controller 
{
	 function __construct() 
	 {
        parent::__construct();
        $this->load->database();
        $this->load->model('User_Model');
        $this->load->model('Common');
         $x = $this->session->userdata('logged');
         if ($x['email'] == '') 
         {
                return redirect('Welcome/index', 'refresh');
          }
    }

    public function index()
    {
        $page =(isset($_GET['page'])) ? $_GET['page'] : 0;
        $query=$this->db->select('slider.*')->from('slider')->order_by('id','desc')->limit(20,($page*20))->get();
        $num_rows=$this->db->order_by('id', 'desc')->get('slider')->num_rows();
        $data['slider']=$query->result_array();
        $data['links']=$this->pagi->pagination1('admin/slider',$num_rows,20);
        $this->load->view('slider/index',$data);
    }

    public function add()
    {
        if ($this->input->server('REQUEST_METHOD') == 'POST') 
        {
         $this->load->helper(array('form'));
         $this->load->library('form_validation');
         $this->form_validation->set_rules('title', 'Title', 'required'); 
         $this->form_validation->set_rules('content', 'Content', 'required'); 
         
            if ($this->form_validation->run() == FALSE) 
             { 
                 $this->load->view('slider/add');
             } 
             else 
             { 
                $journalName = str_replace(' ', '_', $_FILES['image']['name']);
                $config['file_name'] = time() . $journalName;
                $config['upload_path'] = './uploads/slider/';
                $config['allowed_types'] = 'gif|jpg|png|JPG|JPEG|jpeg';
                $this->upload->initialize($config);
                $this->upload->do_upload('image');
                $_POST['image'] = $config['file_name'];
                if($this->db->insert('slider',$_POST))
                {
                    $this->session->set_flashdata('msg', 'slider Successfully Added');
                    return redirect(base_url('admin/slider'),'refresh');
                }
                else
                {
                    $this->session->set_flashdata('err', 'Please try Again After SomeTimes');
                    return redirect(base_url('admin/slider/add'),'refresh');
                }
             } 
        }
        else
        {
            $this->load->view('slider/add');
        }
    }

    public function edit($id='')
    {
        if ($this->input->server('REQUEST_METHOD') == 'POST') 
        {
        $this->load->helper(array('form'));
         $this->load->library('form_validation');
         $this->form_validation->set_rules('title', 'Title', 'required'); 
         $this->form_validation->set_rules('content', 'Content', 'required'); 
         
            if ($this->form_validation->run() == FALSE) 
             { 
                 $data['slider']=$this->db->where('id',$id)->get('slider')->row_array();
                 $this->load->view('slider/edit',$data);
             } 
             else 
             { 
                if($_FILES['image']['name']!='')
                {
                     $journalName = str_replace(' ', '_', $_FILES['image']['name']);
                $config['file_name'] = time() . $journalName;
                $config['upload_path'] = './uploads/slider/';
                $config['allowed_types'] = 'gif|jpg|png|JPG|JPEG|jpeg';
                $this->upload->initialize($config);
                $this->upload->do_upload('image');
                $_POST['image'] = $config['file_name'];
                }
                if($this->db->where('id',$id)->update('slider',$_POST))
                {
                    $this->session->set_flashdata('msg', 'slider Successfully Added');
                    return redirect(base_url('admin/slider'),'refresh');
                }
                else
                {
                    $this->session->set_flashdata('err', 'Please try Again After SomeTimes');
                    return redirect(base_url('admin/slider/edit/'.$id),'refresh');
                }
             }
        }
        else
        {
            $data['slider']=$this->db->where('id',$id)->get('slider')->row_array();
            $this->load->view('slider/edit',$data);
        }
    }

    public function view($id='')
    {
         $data['slider']=$this->db->where('id',$id)->get('slider')->row_array();
         $this->load->view('slider/view',$data);
    }

    public function delete($id='')
    {
        if($this->db->where('id',$id)->delete('slider'))
        {
            $this->session->set_flashdata('msg', 'Success Deleted slider');
        }
        else
        {
            $this->session->set_flashdata('err', 'Please try After Sometimes...');
        }
        return redirect(base_url('admin/slider'),'refresh');
    }

}
